Vulnerability Name:

CVE-2014-9381

Assigned:2014-12-11
Published:2014-12-19
Updated:2016-12-21
Summary:Integer signedness error in the dissector_cvs function in dissectors/ec_cvs.c in Ettercap 0.8.1 allows remote attackers to cause a denial of service (crash) via a crafted password, which triggers a large memory allocation.
CVSS v3 Severity:5.3 Medium (CCN CVSS v3 Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:L)
Exploitability Metrics:Attack Vector (AV): Network
Attack Complexity (AC): Low
Privileges Required (PR): None
User Interaction (UI): None
Scope:Scope (S): Unchanged
Impact Metrics:Confidentiality (C): None
Integrity (I): None
Availibility (A): Low
CVSS v2 Severity:5.0 Medium (CVSS v2 Vector: AV:N/AC:L/Au:N/C:N/I:N/A:P)
Exploitability Metrics:Access Vector (AV): Network
Access Complexity (AC): Low
Authentication (Au): None
Impact Metrics:Confidentiality (C): None
Integrity (I): None
Availibility (A): Partial
Vulnerability Type:CWE-189
References:Source: BUGTRAQ
Type: VENDOR_ADVISORY
20141216 "Ettercap 8.0 - 8.1" multiple vulnerabilities

Source: BID
Type: VENDOR_ADVISORY
71693

Source: CONFIRM
Type: PATCH
https://github.com/Ettercap/ettercap/pull/609

Source: GENTOO
Type: UNKNOWN
https://security.gentoo.org/glsa/201505-01

Source: MISC
Type: UNKNOWN
https://www.obrela.com/home/security-labs/advisories/osi-advisory-osi-1402/

Vulnerable Configuration:Configuration 1:
  • cpe:/a:ettercap_project:ettercap:0.8.1:*:*:*:*:*:*:*

  • Denotes that component is vulnerable
    Oval Definitions
    Definition IDClassTitleLast Modified
    oval:com.ubuntu.precise:def:20149381000
    V
    CVE-2014-9381 on Ubuntu 12.04 LTS (precise) - medium.
    2014-12-19
    oval:com.ubuntu.trusty:def:20149381000
    V
    CVE-2014-9381 on Ubuntu 14.04 LTS (trusty) - medium.
    2014-12-19
    oval:com.ubuntu.xenial:def:20149381000
    V
    CVE-2014-9381 on Ubuntu 16.04 LTS (xenial) - medium.
    2014-12-19
    BACK
    ettercap_project ettercap 0.8.1